Drag
curl --request POST \
--url https://api.example.com/v1/phones/{phone_id}/dragimport requests
url = "https://api.example.com/v1/phones/{phone_id}/drag"
response = requests.post(url)
print(response.text)const options = {method: 'POST'};
fetch('https://api.example.com/v1/phones/{phone_id}/drag', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
Gestures
Drag
Drag from one point to another
POST
/
v1
/
phones
/
{phone_id}
/
drag
Drag
Execute a drag gesture from one point to another.
Request
curl -X POST https://api.tapkit.ai/v1/phones/{phone_id}/drag \
-H "X-API-Key: joot_your_api_key" \
-H "Content-Type: application/json" \
-d '{"from_x": 100, "from_y": 200, "to_x": 300, "to_y": 400}'
Request Body
{
"from_x": 100,
"from_y": 200,
"to_x": 300,
"to_y": 400
}
| Field | Type | Description |
|---|---|---|
from_x | integer | Starting X coordinate |
from_y | integer | Starting Y coordinate |
to_x | integer | Ending X coordinate |
to_y | integer | Ending Y coordinate |
Use Cases
- Move elements
- Adjust sliders
- Pull to refresh
Related Endpoints
- Drag by Description - Drag using natural language
- Hold and Drag - Hold before dragging
⌘I